
Name:    kcm_wacomtablet
Summary: KDE Control module for Wacom Graphictablets
Version: 1.3.7
Release: 2%{?dist}

License: GPLv2+
URL:     https://projects.kde.org/projects/extragear/base/wacomtablet
# wget -c http://anongit.kde.org/wacomtablet/wacomtablet-latest.tar.gz
Source0: http://kde-apps.org/CONTENT/content-files/114856-wacomtablet-%{version}.tar.gz

BuildRequires: gettext
BuildRequires: kdelibs4-devel
BuildRequires: pkgconfig(xorg-wacom) 
BuildRequires: pkgconfig(xrandr)

Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

Obsoletes: kcm-wacomtablet < 1.3.7-2
Provides:  kcm-wacomtablet = %{version}-%{release}

%description
This module implements a GUI for the Wacom Linux Drivers and extends it
with profile support to handle different button/pen layouts per profile.


%prep
%setup -q -n wacomtablet-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags}  -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot}  -C %{_target_platform}

%find_lang wacomtablet --with-kde


%files -f wacomtablet.lang
%doc AUTHORS COPYING README
%{_datadir}/dbus-1/interfaces/org.kde.Wacom*.xml
%{_kde4_libdir}/kde4/kcm_wacomtablet.so
%{_kde4_libdir}/kde4/kded_wacomtablet.so
%{_kde4_libdir}/kde4/plasma_applet_wacomtabletsettings.so
%{_kde4_appsdir}/wacomtablet/
%{_kde4_datadir}/kde4/services/kcm_wacomtablet.desktop
%{_kde4_datadir}/kde4/services/kded/wacomtablet.desktop
%{_kde4_datadir}/kde4/services/plasma-applet-wacomtabletsettings.desktop


%changelog
* Thu Nov 29 2012 Mario Santagiuliana <fedora@marionline.it> - 1.3.7-2
- Rename to kcm_wacomtablet

* Mon Nov 19 2012 Mario Santagiuliana <fedora@marionline.it> - 1.3.7-1
- Initial build
- spec file created by rdieter
